<% local data, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"></script>
<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$("#audit").tablesorter({headers: {1:{sorter:'digit'}, 2:{sorter:'digit'}}});
	});
</script>

<% displaycommandresults({"completeaudit"}, session) %>

<H1>Audit Parameters</H1>
<DL>
<% displayitem(data.value.auditstart) %>
<% displayitem(data.value.auditend) %>
</DL>

<H1><%= html.html_escape(data.label) %></H1>
<DL>
<TABLE id="audit" class="tablesorter"><THEAD>
	<TR style="font-weight:bold;">
		<TH><% if data.value.groupby.value == "clientip" then %>Client IP<% else %>User ID<% end %></TH>
		<TH>Blocks</TH>
		<TH>Maximum Score</TH>
	</TR>
</THEAD><TBODY>
<% for i,stat in ipairs(data.value.stats.value) do %>
	<TR><TD><%= html.link{value = "viewblocklog?"..data.value.groupby.value.."="..stat[data.value.groupby.value], label=stat[data.value.groupby.value]} %></TD>
	<TD><%= html.html_escape(stat.numblock) %></TD>
	<TD><%= html.html_escape(stat.maxscore) %></TD></TR>
<% end %>
</TBODY></TABLE>

<% if data.errtxt then %>
<p class='error'><%= html.html_escape(data.errtxt) %></p>
<% end %>
<% if #data.value.stats.value == 0 then %>
<p>No blocks, try adjusting the audit dates</p>
<% end %>

<form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/completeaudit") %>">
<DT>Complete Audit</DT>
<DD><input class="submit" type="submit" value="Complete"></DD>
</form>
</DL>
