<% local data, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery-latest.js"></script>
<script type="text/javascript" src="<%= html.html_escape(page_info.wwwprefix) %>/js/jquery.tablesorter.js"></script>
<script type="text/javascript">
	$(document).ready(function() {
		$("#watchlist").tablesorter({headers: {0:{sorter: false}}});
	});
</script>

<% displaycommandresults({"deletewatchlistentry"}, session) %>
<% displaycommandresults({"createwatchlistentry"}, session, true) %>

<H1><%= html.html_escape(data.label) %></H1>
<DL>
<TABLE id="watchlist" class="tablesorter"><THEAD>
	<TR style="background:#eee;font-weight:bold;">
		<TH>Delete</TH>
		<TH>User ID</TH>
		<TH>Expiration Date</TH>
	</TR>
</THEAD><TBODY>
<% for i,watch in ipairs(data.value) do %>
	<TR>
		<TD><%= html.link{value = "deletewatchlistentry?clientuserid="..watch.clientuserid, label="Delete "} %></TD>
		<TD><%= html.link{value = "viewblocklog?clientuserid="..watch.clientuserid, label=watch.clientuserid} %></TD>
		<TD><%= html.html_escape(watch.expiredatetime) %></TD>
	</TR>
<% end %>
</TBODY></TABLE>

<% if data.errtxt then %>
<p class='error'><%= html.html_escape(data.errtxt) %></p>
<% end %>
<% if #data.value == 0 then %>
<p>No watchlist entries found</p>
<% end %>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("createwatchlistentry") then
	viewlibrary.dispatch_component("createwatchlistentry")
end %>


